//	CFolderWindow.c

#include "CFinderWindow.h"

class CFolderWindow;

CFolderWindow		*MakeNewFolderWindow(O_TopicRef *topicRef);

class CFolderWindow : public CFinderWindow {

	public:	Boolean	IFolderWindow(
		O_TopicRef	*topicRef);
	
	virtual	void	Dispose(void);
	
	virtual	void		UpdateMenus(void);
	virtual	Boolean		DoCommand(long command);

	private:
	typedef		CFinderWindow	_inherited;
};

	/*
	virtual	OSErr	GetHFSFlavorData(
		DragReference	theDrag, 
		ItemReference	itemRef, 
		HFSFlavor		*hfsFlavor
	);

	virtual	OSErr	CanAcceptFlavor(
		DragReference	theDrag, 
		ItemReference	itemRef, 
		FlavorType		flavorType, 
		Boolean			*isGoodFlavorB
	);

	virtual	Boolean		CanAcceptDrag(DragReference theDrag);

	virtual	OSErr		DragReceiveFlavor(
		DragReference	theDrag, 
		ItemReference	itemRef, 
		FlavorType		flavorType, 
		void			*data
	);
	*/
	
